/* Realisaitons
============================================================ */

.realisations-wrapper {
  width: 1200px;
  max-width: 100%;
  margin: 60px auto 80px auto;
  padding: 0 30px;
}

.realisations-wrapper .category-filter {
    display: flex;
    gap: 15px;
    margin-bottom: 50px;
    padding-bottom: 10px;
    flex-wrap: nowrap;
    overflow-x: auto;
}

.realisations-wrapper .filter-btn {
    padding: 12px 24px;
    border: 1px solid var(--secondary);
    border-radius: 100px;
    font-family: 'Mulish', sans-serif;
    font-size: 0.875rem;
    background-color: transparent;
    cursor: pointer;
    flex-shrink: 0;
    color: var(--secondary);
}

.realisations-wrapper .filter-btn:hover,
.realisations-wrapper .filter-btn.active {
    background-color: var(--secondary);
    color: #fff;
}

.realisations {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(360px, 1fr));
    gap: 70px;
}

.realisation {
    background-color: var(--tertiary);
    transition: opacity 300ms ease;
}

.realisation:not(.active) {
    opacity: 0;
}

.realisation .swiper-slide {
    width: 100%;
    aspect-ratio: 1/0.8;
}

.realisation .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.realisation .content {
    padding: 25px;
}

.realisation .title {
    font-size: 1.4rem;
    font-weight: 700;
    text-transform: uppercase;
    margin-bottom: 20px;
}

.realisation .description ul {
    list-style: disc;
    margin-top: 1rem;
    padding-left: 20px;
}

@media (min-width: 1800px) {
    .realisations-wrapper {
        width: 1600px;
    }
}

@media (max-width: 768px) {
    .realisations-wrapper {
        padding: 0;
    }

    .realisations-wrapper .category-filter {
        padding: 0 30px 10px 30px;
    }

    .realisation .content {
        padding: 25px 30px;
    }
}